<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/gradient_example"
    android:paddingTop="@dimen/activity_vertical_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:screenOrientation="portrait"
    tools:context=".LocustActivity">

    <ScrollView
        android:id="@+id/scrollView1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:layout_alignParentRight="true"
            android:divider="@drawable/spacer_medium"
            android:orientation="vertical"
            android:showDividers="middle">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:divider="@drawable/spacer_medium"
                android:paddingLeft="@dimen/activity_horizontal_margin"
                android:showDividers="middle">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtImage1"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:enabled="false"
                        android:focusable="false"
                        android:hint="@string/Photo1"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnImage1"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_camera"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnShowImage1"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_photo"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelImage1"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_delete"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:divider="@drawable/spacer_medium"
                android:paddingLeft="@dimen/activity_horizontal_margin"
                android:showDividers="middle">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtImage2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:enabled="false"
                        android:focusable="false"
                        android:hint="@string/Photo2"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnImage2"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_camera"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnShowImage2"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_photo"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelImage2"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_delete"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:divider="@drawable/spacer_medium"
                android:paddingLeft="@dimen/activity_horizontal_margin"
                android:showDividers="middle">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtImage3"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:enabled="false"
                        android:focusable="false"
                        android:hint="@string/Photo3"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnImage3"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_camera"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnShowImage3"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_photo"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnDelImage3"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_delete"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:id="@+id/textView1"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    android:background="#dddddd"
                    android:text="@string/Identification_of_the_place"
                    android:textStyle="bold"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Country">

                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiCountry"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Region">

                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiRegion"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtArea"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Area"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtDistrict"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Rural_district"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtVillage"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Name_of_the_village"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtTerrain"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Farm_or_site"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtObserver"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Name_of_survey_team_leader"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <dbfields.DateTimeTM
                        android:id="@+id/edtDate"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Date"
                        android:maxLines="1"
                        android:singleLine="true" />
                </com.google.android.material.textfield.TextInputLayout>

                <EditText
                    android:id="@+id/edtTimeZone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:minWidth="2dp"
                    android:visibility="invisible" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnGetDate"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:insetLeft="0dp"
                    android:insetTop="0dp"
                    android:insetRight="0dp"
                    android:insetBottom="0dp"
                    android:minWidth="40dp"
                    app:icon="@drawable/ic_clock"
                    app:iconGravity="textStart"
                    app:iconPadding="0dp"
                    app:iconSize="24dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:baselineAligned="false"
                    android:divider="@drawable/spacer_medium"
                    android:gravity="center"
                    android:showDividers="middle">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtLatCenter"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@color/transparent"
                            android:enabled="false"
                            android:hint="@string/Lat_center"
                            android:maxLines="1"
                            android:singleLine="true" />
                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtLonCenter"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:background="@color/transparent"
                            android:enabled="false"
                            android:hint="@string/Lon_center"
                            android:maxLines="1"
                            android:singleLine="true" />
                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/btnGetGPSCenter"
                        style="@style/Widget.MaterialComponents.Button.Icon"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:insetLeft="0dp"
                        android:insetTop="0dp"
                        android:insetRight="0dp"
                        android:insetBottom="0dp"
                        android:minWidth="40dp"
                        app:icon="@drawable/ic_location"
                        app:iconGravity="textStart"
                        app:iconPadding="0dp"
                        app:iconSize="24dp" />

                    <com.google.android.material.button.MaterialButton
                        android:id="@+id/btnDelGPSCenter"
                        style="@style/Widget.MaterialComponents.Button.Icon"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:insetLeft="0dp"
                        android:insetTop="0dp"
                        android:insetRight="0dp"
                        android:insetBottom="0dp"
                        android:minWidth="40dp"
                        app:icon="@drawable/ic_delete"
                        app:iconGravity="textStart"
                        app:iconPadding="0dp"
                        app:iconSize="24dp" />
                </LinearLayout>
            </LinearLayout>

            <ListView
                android:id="@+id/latlonList"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnOnMap"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:text="@string/Show_map"
                    app:icon="@drawable/ic_map"
                    app:iconGravity="textStart"
                    android:paddingLeft="@dimen/activity_horizontal_margin"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtBioHectare"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Surveyed_area_ha"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:background="#dddddd"
                    android:text="@string/ECOLOGICAL_INFORMATION"
                    android:textStyle="bold"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"
                    />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Type_of_biotope">

                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiBioBiotope"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Vegetation">

                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiBioGreenery"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Vegetation_cover">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiBioGreeneryCover"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">
                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtBioTemperature"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Air_temperature"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtBioWind"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Wind_m_s"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:background="#dddddd"
                    android:text="@string/LOCUST_INFORMATION_INCLUDING_EGG_PODS"
                    android:textColor="@color/text_title"
                    android:textStyle="bold"
                    android:gravity="left|center"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Are_locusts_present">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiLocustHave"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">
                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />
                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Locust_species">
                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiLocustType"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@color/transparent"
                    app:boxBackgroundColor="@color/transparent">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/edtLocustPopulated"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        android:hint="@string/Area_infested_ha"
                        android:maxLines="1"
                        android:singleLine="true"
                        android:inputType="numberDecimal"/>
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <CheckBox
                    android:id="@+id/cbEggs"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="#dddddd"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:text="@string/Eggs"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llEggs"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <!--ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" /-->

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtEggsCapsulesArea"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Egg_bed_surface_in_ha"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtEggsCapsulesDensity"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Egg_pods_density_m2_from"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtEggsCapsulesDensityTo"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Egg_pods_density_m2_to"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <!--ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" /-->

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtEggsCapsules"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Eggs_average_number_egg_pod"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtEggsLive"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Eggs_viable"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Natural_enemies">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiEggsEnemies"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <CheckBox
                    android:id="@+id/cbHoppers"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="#dddddd"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:text="@string/HOPPERS_SCATTERED"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llHoppers"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <!--TextView
                    android:id="@+id/tvHoppers"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="#dddddd"
                    android:text="@string/Hoppers"
                    android:textStyle="bold" /-->

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Hatching">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiLarvaBorn"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Hopper_stages">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiLarvaAge"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">
                    <!--ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" /-->
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Appearance">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiLarvaPainting"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star"/>
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Spatial_distribution">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiLarvaBehavior"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtLarvaDensity"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Hopper_density_m2_from"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">
                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtLarvaDensityTo"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Hopper_density_m2_to"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <CheckBox
                    android:id="@+id/cbBands"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="#dddddd"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:text="@string/Bands"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llBands"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtKuliguliDensity"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Minimum_density_in_the_band_in_m2"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtKuliguliDensityTo"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Maximum_density_in_the_band_in_m2"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtKuliguliSize"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Band_sizes_m2"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtKuliguliCount"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Number_of_bands"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_star" />

                <com.google.android.material.textfield.TextInputLayout
                    style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/Action">

                    <dbfields.AutoCompleteTextViewDB
                        android:id="@+id/spiKuliguliAction"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Hopper_stages">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiKuliguliAge"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <CheckBox
                    android:id="@+id/cbAdults"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="#dddddd"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:text="@string/Adults"
                    android:textStyle="bold"
                    />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llAdults"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Fledging">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiImagoWing"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Maturity">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiImagoMaturity"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Phase">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiImagoPhase"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Spatial_distribution">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiImagoAction"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtImagoDensity"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Adult_density_m2"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtImagoDensityGa"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Adult_density_ha"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Feeding_and_roosting">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiImagoFeeding"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Copulating">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiImagoCopulation"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Laying">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiImagolaying"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Flying">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiImagoFlying"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <CheckBox
                    android:id="@+id/cbSwarms"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="#dddddd"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:text="@string/SWARMS"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/llSwarms"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <!--TextView
                    android:id="@+id/tvSwarms"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="#dddddd"
                    android:text="@string/SWARMS"
                    android:textStyle="bold" /-->

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Maturity">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiSwarmMaturity"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">
                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/ic_star" />
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Density_of_swarm">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiSwarmDensity"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtSwarmSize"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Swarm_size_ha"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">

                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@color/transparent"
                        app:boxBackgroundColor="@color/transparent">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/edtSwarmCount"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@color/transparent"
                            android:hint="@string/Number_of_swarms"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:inputType="numberDecimal"/>
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Flying_direction">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiSwarmFlying"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:paddingLeft="@dimen/activity_horizontal_margin">
                    <com.google.android.material.textfield.TextInputLayout
                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/Flying_height">
                        <dbfields.AutoCompleteTextViewDB
                            android:id="@+id/spiSwarmHeight"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.google.android.material.textfield.TextInputLayout>
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <TextView
                    android:id="@+id/tvDescription"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="10dp"
                    android:background="#dddddd"
                    android:text="@string/Comments"
                    android:textStyle="bold"
                    android:textColor="@color/text_title"
                    android:gravity="left|center"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/activity_horizontal_margin">
                <EditText
                    android:id="@+id/edtDescription"
                    android:layout_width="match_parent"
                    android:layout_height="150dp"
                    android:ems="10"
                    android:inputType="textMultiLine" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <CheckBox
                    android:id="@+id/cbTest"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:paddingLeft="@dimen/padding_checkbox"
                    android:text="@string/Test_questionnaire"
                    android:textStyle="bold" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/activity_horizontal_margin">

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnOk"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:text="@string/Save"
                    app:icon="@drawable/ic_save"
                    app:iconGravity="textStart" />

                <Space
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="0"
                    android:minWidth="10dp"
                    android:minHeight="10dp" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/btnCancel"
                    style="@style/Widget.MaterialComponents.Button.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:minWidth="190dp"
                    android:minHeight="40dp"
                    android:text="@string/Cancel"
                    app:icon="@drawable/ic_exit"
                    app:iconGravity="textStart" />

            </LinearLayout>

        </LinearLayout>
    </ScrollView>

</RelativeLayout>